# UnitTestingTrait.GlobalEchoRequestCommand.Response

# UnitTestingTrait.GlobalEchoRequestCommand.Response


```
class UnitTestingTrait.GlobalEchoRequestCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.GlobalEchoRequestCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.GlobalEchoRequestCommand.Response#Response(com.google.home.matter.standard.UnitTestingTrait.TestGlobalStruct,com.google.home.matter.standard.UnitTestingTrait.TestGlobalEnum)( field1: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestGlobalStruct, field2: https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestGlobalEnum )` |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.GlobalEchoRequestCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.GlobalEchoRequestCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestGlobalStruct` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.GlobalEchoRequestCommand.Response#field1()` |
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestGlobalEnum` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.GlobalEchoRequestCommand.Response#field2()` |

## Public constructors

### Response

```
Response(
    field1: UnitTestingTrait.TestGlobalStruct = TestGlobalStruct(),
    field2: UnitTestingTrait.TestGlobalEnum = TestGlobalEnum.SomeValue
)
```

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### field1

```
val field1: UnitTestingTrait.TestGlobalStruct
```

### field2

```
val field2: UnitTestingTrait.TestGlobalEnum
```